How to determine if uploader has file input in Vue Uploader

By setting required attribute to uploader input element, you can validate the file input has any value in it. In the below sample, set required attribute to the uploader input element and showcase the validation failure message using data-required-message attribute.

<template>
  <div class="col-lg-12 control-section">
    <h4 class="form-title">Photo Contest</h4>
    <div class="control_wrapper" id="control_wrapper">
      <form id="form1" method="post">
        <div class="form-group" style="padding-top: 40px; float: left">
          <div class="e-float-input">
            <input type="text" id="name" name="name" data-required-message="* Enter your name" required=""
              data-msg-containerid="nameError">
            <span class="e-float-line"></span>
            <label class="e-float-text e-label-top" for="name">Name</label>
          </div>
          <div id="nameError"></div>
        </div>
        <div id="dropArea">
          <div id="uploadError" style='float: right;'></div>
          <div id='customBrowse' class="form-group dropUpload"> Drop image here...
            <ejs-uploader ref="uploadObj" id='defaultfileupload' name="UploadFiles" :selected="onFileSelect"
              :autoUpload="autoUpload"></ejs-uploader>
          </div>
        </div>
        <div class="submitBtn">
          <button type="button" class="submit-btn e-btn" id="submit-btn">Submit</button>
          <div class="desc"><span>*This button is not a submit type and the form submit handled from externally.</span>
          </div>
          <ejs-dialog id='uploadAlert' :header='header' showCloseIcon=true :width='width' :content='dlgContent'
            :target='dlgTarget' :isModal='Modal' :visible="false" :animationSettings='animation' ref="dialogObj">
          </ejs-dialog>
        </div>
      </form>
    </div>
  </div>
</template>
<script setup>

import { UploaderComponent as EjsUploader } from '@syncfusion/ej2-vue-inputs';
import { FormValidator } from '@syncfusion/ej2-inputs';
import { DialogComponent as EjsDialog } from '@syncfusion/ej2-vue-popups';
import { createElement, detach } from '@syncfusion/ej2-base';
import { onMounted, ref } from 'vue';

const uploadObj = ref(null);
const dialogObj = ref(null);
let formObj = '';
const header = 'Success';
const animation = { effect: 'zoom' };
const Modal = true;
const dlgTarget = '.control_wrapper';
const dlgContent = 'Your details have been updated successfully, Thank you.';
const width = '335px';
const autoUpload = false;

onMounted(() => {

  let options = {
    //Initialize the CustomPlacement.
    customPlacement: function (inputElement, errorElement) {
      inputElement = inputElement.closest('.form-group').querySelector('.error');
      inputElement.parentElement.appendChild(errorElement);
    },
    rules: {
      'name': {
        required: true
      },
      'UploadFiles': {
        required: true
      }
    }
  }
  formObj = new FormValidator('#form1', options);

  document.getElementById('submit-btn').onclick = function () {
  onFormSubmit();
  };
  document.getElementById('customBrowse').onclick = () => {
    document.getElementsByClassName('e-file-select-wrap')[0].querySelector('button').click();
  };
  uploadObj.value.$el.setAttribute('data-required-message', '* Choose your image to upload');
  uploadObj.value.$el.setAttribute('required', '');
  uploadObj.value.$el.setAttribute('data-msg-containerid', 'uploadError');
});


const onFileSelect = (args) => {
  if (args.filesData.length > 0) {
    if (document.getElementsByClassName('upload-image').length > 0) {
      detach(document.getElementsByClassName('imgWrapper')[0]);
    }
    let imageTag = createElement('IMG', { className: 'upload-image', attrs: { 'alt': 'Image' } });
    let wrapper = createElement('span', { className: 'imgWrapper' });
    wrapper.appendChild(imageTag);
    let rootFile = document.getElementsByClassName('dropUpload')[0];
    rootFile.insertBefore(wrapper, rootFile.firstChild);
    readURL(wrapper, args.filesData[0]);
  }
  args.cancel = true;
};
const readURL = (li, args) => {
  let preview = li.querySelector('.upload-image');
  let file = args.rawFile;
  let reader = new FileReader();
  reader.addEventListener('load', () => { preview.src = reader.result; }, false);
  if (file) { reader.readAsDataURL(file); }
};

const onFormSubmit = () => {
  let formStatus = formObj.validate();
  if (formStatus) {
    formObj.element.reset();
    detach(document.getElementsByClassName('imgWrapper')[0]);
    dialogObj.value.show();
  }
};
</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-buttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";

#container {
  visibility: hidden;
  padding-left: 5%;
  width: 100%;
}

#loader {
  color: #008cff;
  font-family: 'Helvetica Neue', 'calibiri';
  font-size: 14px;
  height: 40px;
  left: 45%;
  position: absolute;
  top: 45%;
  width: 30%;
}

.address-field {
  resize: none;
}

input#fileupload {
  opacity: 0;
}

#dropArea .dropUpload .upload-image {
  height: 140px;
  width: 140px;
}

#dropArea .dropUpload {
  float: right;
  text-align: center;
  vertical-align: middle;
  line-height: 12;
  overflow: hidden;
  border: 1px dashed;
  width: 150px;
  height: 150px;
}

.e-upload {
  visibility: hidden;
}

#control_wrapper {
  max-width: 500px;
  margin: auto;
  border: 0.5px solid #BEBEBE;
  box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.36);
  padding: 1% 4% 7%;
  background: #f9f9f9;
}

.e-error {
  padding-top: 3px;
}

.control_wrapper .e-upload .e-upload-drag-hover {
  margin: 0;
}

.submit-btn {
  margin-top: 145px;
}

.submitBtn .desc {
  margin: 2% 23% 0 18%;
}

.submitBtn {
  text-align: center;
}

.form-support {
  width: 100%;
}

.success .form-support {
  display: none;
}

.success .successmsg {
  border: 0.5px solid green;
  padding: 10%;
  color: green;
}

#form1 {
  position: relative;
  top: 14%;
}

.form-support td {
  width: 100%;
  padding-top: 4%;
}

.e-upload {
  float: none;
}

.choose-file {
  width: 60%;
}

#browse {
  float: right;
  margin-right: -113px;
  margin-top: -27px;
}

.form-title {
  text-align: center;
}
</style>
<template>
  <div class="col-lg-12 control-section">
    <h4 class="form-title">Photo Contest</h4>
    <div class="control_wrapper" id="control_wrapper">
      <form id="form1" method="post">
        <div class="form-group" style="padding-top: 40px; float: left">
          <div class="e-float-input">
            <input type="text" id="name" name="name" data-required-message="* Enter your name" required=""
              data-msg-containerid="nameError">
            <span class="e-float-line"></span>
            <label class="e-float-text e-label-top" for="name">Name</label>
          </div>
          <div id="nameError"></div>
        </div>
        <div id="dropArea">
          <div id="uploadError" style='float: right;'></div>
          <div id='customBrowse' class="form-group dropUpload"> Drop image here...
            <ejs-uploader ref="uploadObj" id='defaultfileupload' name="UploadFiles" :selected="onFileSelect"
              :autoUpload="autoUpload"></ejs-uploader>
          </div>
        </div>
        <div class="submitBtn">
          <button type="button" class="submit-btn e-btn" id="submit-btn">Submit</button>
          <div class="desc"><span>*This button is not a submit type and the form submit handled from externally.</span>
          </div>
          <ejs-dialog id='uploadAlert' :header='header' showCloseIcon=true :width='width' :content='dlgContent'
            :target='dlgTarget' :isModal='Modal' :visible="false" :animationSettings='animation' ref="dialogObj">
          </ejs-dialog>
        </div>
      </form>
    </div>
  </div>
</template>
<script>

import { UploaderComponent } from '@syncfusion/ej2-vue-inputs';
import { FormValidator } from '@syncfusion/ej2-inputs';
import { DialogComponent } from '@syncfusion/ej2-vue-popups';
import { createElement, detach } from '@syncfusion/ej2-base';

export default {
  name: "App",
  components: {
    "ejs-uploader": UploaderComponent,
    "ejs-dialog": DialogComponent
  },

  data: function () {
    return {
      dropElement: '.control-fluid',
      extensions: '.jpg, .png',
      isAuto: false,
      formObj: '',
      header: 'Success',
      animation: { effect: 'zoom' },
      Modal: true,
      dlgTarget: '.control_wrapper',
      dlgContent: 'Your details have been updated successfully, Thank you.',
      width: '335px',
      autoUpload: false
    }
  },
  mounted: function () {

    let options = {
      //Initialize the CustomPlacement.
      customPlacement: function (inputElement, errorElement) {
        inputElement = inputElement.closest('.form-group').querySelector('.error');
        inputElement.parentElement.appendChild(errorElement);
      },
      rules: {
        'name': {
          required: true
        },
        'UploadFiles': {
          required: true
        }
      }
    }
    this.formObj = new FormValidator('#form1', options);
    let localObj = this;
    document.getElementById('submit-btn').onclick = function () {
      localObj.onFormSubmit();
    };
    document.getElementById('customBrowse').onclick = () => {
      document.getElementsByClassName('e-file-select-wrap')[0].querySelector('button').click();
    };
    this.$refs.uploadObj.$el.setAttribute('data-required-message', '* Choose your image to upload');
    this.$refs.uploadObj.$el.setAttribute('required', '');
    this.$refs.uploadObj.$el.setAttribute('data-msg-containerid', 'uploadError');
  },
  methods: {
    customBrowse: function () {
      document.getElementsByClassName('e-file-select-wrap')[0].querySelector('button').click();
    },
    onFileSelect: function (args) {
      if (args.filesData.length > 0) {
        if (document.getElementsByClassName('upload-image').length > 0) {
          detach(document.getElementsByClassName('imgWrapper')[0]);
        }
        let imageTag = createElement('IMG', { className: 'upload-image', attrs: { 'alt': 'Image' } });
        let wrapper = createElement('span', { className: 'imgWrapper' });
        wrapper.appendChild(imageTag);
        let rootFile = document.getElementsByClassName('dropUpload')[0];
        rootFile.insertBefore(wrapper, rootFile.firstChild);
        this.readURL(wrapper, args.filesData[0]);
      }
      args.cancel = true;
    },
    readURL: function (li, args) {
      let preview = li.querySelector('.upload-image');
      let file = args.rawFile;
      let reader = new FileReader();
      reader.addEventListener('load', () => { preview.src = reader.result; }, false);
      if (file) { reader.readAsDataURL(file); }
    },

    onFormSubmit: function () {
      let formStatus = this.formObj.validate();
      if (formStatus) {
        this.formObj.element.reset();

        detach(document.getElementsByClassName('imgWrapper')[0]);
        this.$refs.dialogObj.show();
      }
    }
  }
}
</script>
<style>
@import "../node_modules/@syncfusion/ej2-base/styles/material.css";
@import "../node_modules/@syncfusion/ej2-buttons/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-inputs/styles/material.css";

#container {
  visibility: hidden;
  padding-left: 5%;
  width: 100%;
}

#loader {
  color: #008cff;
  font-family: 'Helvetica Neue', 'calibiri';
  font-size: 14px;
  height: 40px;
  left: 45%;
  position: absolute;
  top: 45%;
  width: 30%;
}

.address-field {
  resize: none;
}

input#fileupload {
  opacity: 0;
}

#dropArea .dropUpload .upload-image {
  height: 140px;
  width: 140px;
}

#dropArea .dropUpload {
  float: right;
  text-align: center;
  vertical-align: middle;
  line-height: 12;
  overflow: hidden;
  border: 1px dashed;
  width: 150px;
  height: 150px;
}

.e-upload {
  visibility: hidden;
}

#control_wrapper {
  max-width: 500px;
  margin: auto;
  border: 0.5px solid #BEBEBE;
  box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.36);
  padding: 1% 4% 7%;
  background: #f9f9f9;
}

.e-error {
  padding-top: 3px;
}

.control_wrapper .e-upload .e-upload-drag-hover {
  margin: 0;
}

.submit-btn {
  margin-top: 145px;
}

.submitBtn .desc {
  margin: 2% 23% 0 18%;
}

.submitBtn {
  text-align: center;
}

.form-support {
  width: 100%;
}

.success .form-support {
  display: none;
}

.success .successmsg {
  border: 0.5px solid green;
  padding: 10%;
  color: green;
}

#form1 {
  position: relative;
  top: 14%;
}

.form-support td {
  width: 100%;
  padding-top: 4%;
}

.e-upload {
  float: none;
}

.choose-file {
  width: 60%;
}

#browse {
  float: right;
  margin-right: -113px;
  margin-top: -27px;
}

.form-title {
  text-align: center;
}
</style>

You can also explore Vue File Upload feature tour page for its groundbreaking features. You can also explore our Vue File Upload example to understand how to browse the files which you want to upload to the server.

How to check if Uploader has file input

14 Aug 20267 minutes to read

By setting the required attribute on the uploader input element, you can validate that the file input contains a value before submission.
In the following example, the required attribute is applied to the uploader input element, and a validation failure message is displayed using the data-required-message attribute.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { FormsModule } from '@angular/forms'
import { UploaderModule } from '@syncfusion/ej2-angular-inputs'
import { DialogModule } from '@syncfusion/ej2-angular-popups'



import { Component, ViewChild, AfterViewInit } from '@angular/core';
import { EmitType, createElement, detach } from '@syncfusion/ej2-base';
import { UploaderComponent, SelectedEventArgs, FormValidator, FormValidatorModel  } from '@syncfusion/ej2-angular-inputs';
import { DialogComponent } from '@syncfusion/ej2-angular-popups';
@Component({
imports: [
        FormsModule, UploaderModule, DialogModule
    ],


standalone: true,
    selector: 'app-root',
    templateUrl: './default.html',
    styleUrls: ['./index.css']
})

export class AppComponent {
    @ViewChild('defaultupload')
    public uploadObj?: UploaderComponent;
    @ViewChild('dialog')
    public dialog?: DialogComponent;

    public path: Object = {
        saveUrl: 'https://services.syncfusion.com/angular/production/api/FileUploader/Save',
        removeUrl: 'https://services.syncfusion.com/angular/production/api/FileUploader/Remove'
    };
    public removeFile: any = [];
    public content: string = 'Your details have been updated successfully, Thank you.';
    public width: string = '250px';
    public visible: boolean = false;
    public header: string = 'Success';
    public target: HTMLElement = document.getElementById('control_wrapper') as HTMLElement;
    public onFileSelect: EmitType<SelectedEventArgs> = (args: any) =>  {
        if (args.filesData.length > 0) {
        if (document.getElementsByClassName('upload-image').length > 0) {
            detach(document.getElementsByClassName('imgWrapper')[0]);
        }
        let imageTag = createElement('IMG', { className: 'upload-image', attrs: { 'alt': 'Image' } });
        let wrapper: HTMLElement = createElement('span', { className: 'imgWrapper' }) as HTMLElement;
        wrapper.appendChild(imageTag);
        let rootFile = document.getElementsByClassName('dropUpload')[0];
        rootFile.insertBefore(wrapper, rootFile.firstChild);
        this.readURL(wrapper, args.filesData[0]);
        }
        args.cancel = true;
    }
    options: FormValidatorModel | undefined;
    autoUpload: any;
    extensions: any;
    dropElement: any;
    ngAfterViewInit() {
        (document.getElementById('customBrowse') as HTMLElement).onclick = () => {
            (document.getElementsByClassName('e-file-select-wrap')[0].querySelector('button') as HTMLButtonElement).click();
        };
        (document.getElementById('submit-btn') as HTMLElement).onclick = () => {
            this.onFormSubmit();
        };
        let options = { rules: { 'name': { required: true } } };
        let formObj: FormValidator = new FormValidator('#form1', this.options);
        let proxy = this;
        setTimeout(() => {
            this.uploadObj?.element.setAttribute('data-required-message', '* Choose your image to upload');
            this.uploadObj?.element.setAttribute('required', '');
            this.uploadObj?.element.setAttribute('data-msg-containerid', 'uploadError');
        }, 500);
    }
    public readURL: EmitType<SelectedEventArgs> = (li: HTMLElement, args: any) => {
        let preview: HTMLImageElement = li.querySelector('.upload-image') as HTMLImageElement;
        let file: File = args.rawFile; let reader: FileReader = new FileReader();
        reader.addEventListener('load', () => { preview.src = reader.result as string; }, false);
        if (file) { reader.readAsDataURL(file); }
    }
    public onFormSubmit: any = () => {
        let formObj: FormValidator = new FormValidator('#form1', this.options);
        let formStatus: Boolean = formObj.validate();
        if (formStatus) {
            formObj.element.reset();
            detach(document.getElementsByClassName('imgWrapper')[0]);
            this.dialog?.show();
        }
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

You can also explore Angular File Upload feature tour page for its groundbreaking features. You can also explore our Angular File Upload example to understand how to browse the files which you want to upload to the server.

How to determine if File Upload has files in React File Upload

9 Aug 202623 minutes to read

Enforce file selection requirement by applying the required attribute to the Uploader input element. This validates that at least one file must be selected before form submission. In the following sample, the required attribute is applied to the Uploader input element and a validation message is displayed using the data-required-message attribute.

import { createElement, detach, isNullOrUndefined, select } from '@syncfusion/ej2-base';
import { FormValidator } from '@syncfusion/ej2-inputs';
import { UploaderComponent } from '@syncfusion/ej2-react-inputs';
import { DialogComponent } from '@syncfusion/ej2-react-popups';
import * as React from 'react';
import * as ReactDOM from "react-dom";
export default class App extends React.Component {
    uploadObj;
    dialogObj;
    path = {
        removeUrl: 'https://services.syncfusion.com/react/production/api/FileUploader/Remove',
        saveUrl: 'https://services.syncfusion.com/react/production/api/FileUploader/Save'
    };
    content = 'Your details have been updated successfully, Thank you.';
    width = '250px';
    visible = false;
    autoUpload = true;
    header = 'Success';
    extensions = '.png, .jpg, .jpeg';
    options = { rules: { 'name': { required: [true, '* Enter your name'] } } };
    customDropRef;
    onCreated() {
        this.uploadObj.dropArea = this.customDropRef;
        this.uploadObj.dataBind();
        const formObj = new FormValidator('#form1', this.options);
        return formObj;
        setTimeout(() => {
            this.uploadObj.element.setAttribute('data-required-message', '* Choose your image to upload');
            this.uploadObj.element.setAttribute('required', '');
            this.uploadObj.element.setAttribute('data-msg-containerid', 'uploadError');
        }, 500);
    }
    browseClick() {
        const wrapperEle = select('.e-file-select-wrap button', document);
        wrapperEle.click();
    }
    onFileSelect(args) {
        if (args.filesData.length > 0) {
            if (document.getElementsByClassName('upload-image').length > 0) {
                detach(document.getElementsByClassName('imgWrapper')[0]);
            }
            const imageTag = createElement('IMG', { className: 'upload-image', attrs: { 'alt': 'Image' } });
            const wrapper = createElement('span', { className: 'imgWrapper' });
            wrapper.appendChild(imageTag);
            const rootFile = this.customDropRef;
            rootFile.insertBefore(wrapper, rootFile.firstChild);
            this.readURL(wrapper, args.filesData[0]);
        }
        args.cancel = true;
    }
    readURL(li, args) {
        const preview = li.querySelector('.upload-image');
        const file = args.rawFile;
        const reader = new FileReader();
        reader.addEventListener('load', () => { preview.src = reader.result; }, false);
        if (file) {
            reader.readAsDataURL(file);
        }
    }
    onFormSubmit() {
        const formObj = new FormValidator('#form1', this.options);
        const formStatus = formObj.validate();
        const imgValidate = !isNullOrUndefined(document.getElementsByClassName('imgWrapper')[0]);
        if (formStatus && imgValidate) {
            formObj.element.reset();
            if (imgValidate) {
                detach(document.getElementsByClassName('imgWrapper')[0]);
                this.dialogObj.show();
            }
        }
    }
    render() {
        return (<div className="control_wrapper">
            <div className="col-lg-12 control-section">
                <h4 className="form-title">Photo Contest</h4>
            <div className="controls" id="control_wrapper">
                <form id="form1" method="post" action='https://services.syncfusion.com/react/production/api/FileUploader/Save'>
                    <div id="name-attr" className="form-group" style={{ paddingTop: '40px' }}>
                        <div className="e-float-input">
                            <input type="text" id="name" name="name" required={true} data-required-message='* Enter your name' data-msg-containerid="nameError"/>
                            <span className="e-float-line"/>
                            <label className="e-float-text e-label-top" htmlFor='name'>Name</label>
                        </div>
                        <div id="nameError"/>
                    </div>
                    <div id="dropArea">
                        <div id="uploadError"/>
                        <div id='customBrowse' ref={dropEle => this.customDropRef = dropEle} className="form-group dropUpload" onClick={this.browseClick = this.browseClick.bind(this)}>   Click here...
                         <UploaderComponent ref={uplaod => { this.uploadObj = uplaod; }} autoUpload={this.autoUpload} selected={this.onFileSelect = this.onFileSelect.bind(this)} allowedExtensions={this.extensions} created={this.onCreated = this.onCreated.bind(this)}/>
                        </div>
                    </div>
                    <div className="submitBtn">
                        <button type="button" className="submit-btn e-btn" id="submit-btn" onClick={this.onFormSubmit = this.onFormSubmit.bind(this)}>Submit</button>
                        <div className="desc"><span>*This button is not a submit type and the form submit handled from externally.</span></div>
                    </div>
                </form>
                <DialogComponent id="dialog" width='350px' ref={dialog => { this.dialogObj = dialog; }} isModal={true} showCloseIcon={true} header={this.header} visible={false} content={this.content} target={".control_wrapper"}/>
                </div>
            </div>
        </div>);
    }
}
ReactDOM.render(<App />, document.getElementById('fileupload'));
import { createElement, detach, isNullOrUndefined, select } from '@syncfusion/ej2-base';
import { FormValidator } from '@syncfusion/ej2-inputs';
import { SelectedEventArgs, UploaderComponent } from '@syncfusion/ej2-react-inputs';
import {DialogComponent} from '@syncfusion/ej2-react-popups';
import * as React from 'react';
import * as ReactDOM from "react-dom";

export default class App extends React.Component<{}, {}> {
    public uploadObj: UploaderComponent;
    public dialogObj: DialogComponent;
    public path: object = {
        removeUrl: 'https://services.syncfusion.com/react/production/api/FileUploader/Remove',
        saveUrl: 'https://services.syncfusion.com/react/production/api/FileUploader/Save'
    }
    public content: string = 'Your details have been updated successfully, Thank you.';
    public width: string = '250px';
    public visible: boolean = false;
    public autoUpload: boolean = true;
    public header: string = 'Success';
    public extensions: string = '.png, .jpg, .jpeg';
    public options = { rules: { 'name': { required: [true, '* Enter your name'] } } };
    private customDropRef: HTMLElement;
    public onCreated(): void {
        this.uploadObj.dropArea = this.customDropRef;
        this.uploadObj.dataBind();
        const formObj: FormValidator = new FormValidator('#form1', this.options);
        return formObj as any;
        setTimeout(() => {
            this.uploadObj.element.setAttribute('data-required-message', '* Choose your image to upload');
            this.uploadObj.element.setAttribute('required', '');
            this.uploadObj.element.setAttribute('data-msg-containerid', 'uploadError');
        }, 500);
    }
    public browseClick(): void {
        const wrapperEle: HTMLElement = select('.e-file-select-wrap button', document) as HTMLElement;
        wrapperEle.click();
    }

    public onFileSelect(args: SelectedEventArgs): void {
        if (args.filesData.length > 0) {
            if (document.getElementsByClassName('upload-image').length > 0) {
            detach(document.getElementsByClassName('imgWrapper')[0]);
            }
            const imageTag = createElement('IMG', { className: 'upload-image', attrs: { 'alt': 'Image' } });
            const wrapper: HTMLElement = createElement('span', { className: 'imgWrapper' }) as HTMLElement;
            wrapper.appendChild(imageTag);
            const rootFile = this.customDropRef;
            rootFile.insertBefore(wrapper, rootFile.firstChild);
            this.readURL(wrapper, args.filesData[0]);
        }
        args.cancel = true;
    }

    public readURL (li: HTMLElement, args: any): void {
        const preview: HTMLImageElement = li.querySelector('.upload-image') as HTMLImageElement;
        const file: File = args.rawFile; const reader: FileReader = new FileReader();
        reader.addEventListener('load', () => { preview.src = reader.result as string; }, false);
        if (file) { reader.readAsDataURL(file); }
    }
    public onFormSubmit(): void {
        const formObj: FormValidator = new FormValidator('#form1', this.options);
        const formStatus: boolean = formObj.validate();
        const imgValidate = !isNullOrUndefined(document.getElementsByClassName('imgWrapper')[0]);
        if (formStatus && imgValidate) {
            formObj.element.reset();
            if(imgValidate) {
            detach(document.getElementsByClassName('imgWrapper')[0]);
            this.dialogObj.show();
        }
        }
    }
  public render(): JSX.Element {
    return (
        <div className="control_wrapper">
            <div className="col-lg-12 control-section">
                <h4 className="form-title">Photo Contest</h4>
            <div className="controls" id ="control_wrapper">
                <form id="form1" method="post" action='https://services.syncfusion.com/react/production/api/FileUploader/Save'>
                    <div id="name-attr" className="form-group" style={{paddingTop: '40px'}}>
                        <div className="e-float-input">
                            <input type="text" id="name" name="name" required={true} data-required-message='* Enter your name' data-msg-containerid="nameError"/>
                            <span className="e-float-line" />
                            <label className="e-float-text e-label-top" htmlFor='name'>Name</label>
                        </div>
                        <div id="nameError" />
                    </div>
                    <div id="dropArea">
                        <div id="uploadError" />
                        <div id='customBrowse' ref={dropEle => this.customDropRef = dropEle!} className="form-group dropUpload" onClick={this.browseClick=this.browseClick.bind(this)}>   Click here...
                         <UploaderComponent ref={uplaod => {this.uploadObj = uplaod !}} autoUpload={this.autoUpload} selected={this.onFileSelect = this.onFileSelect.bind(this)} allowedExtensions={this.extensions} created={this.onCreated = this.onCreated.bind(this)}/>
                        </div>
                    </div>
                    <div className="submitBtn">
                        <button type="button" className="submit-btn e-btn" id="submit-btn" onClick={this.onFormSubmit = this.onFormSubmit.bind(this)}>Submit</button>
                        <div className="desc"><span>*This button is not a submit type and the form submit handled from externally.</span></div>
                    </div>
                </form>
                <DialogComponent id="dialog" width='350px' ref={dialog => {this.dialogObj = dialog !}} isModal={true} showCloseIcon={true} header={this.header} visible={false} content={this.content} target={".control_wrapper"} />
                </div>
            </div>
        </div>);
  }
}

ReactDOM.render(<App />, document.getElementById('fileupload'));

You can also explore React File Upload feature tour page for its groundbreaking features. You can also explore our React File Upload example to understand how to browse the files which you want to upload to the server.